Subject: Re: User Setup & File Operations... (NBY)
From: [email-masked] (Earnie Boyd)

21 Jan 1998 02:15:21 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Please review the README and FAQ files located at the ftp site.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)

>From: "Adarsh Kochhar" <[email-masked]>
>To: "GNU-WIN32" <[email-masked]>
>Subject: User Setup & File Operations...
>Date: Sat, 17 Jan 1998 20:32:51 +0530
>
>HI!
>    I am a new entrant into the user group of gnu-win32 apps..So,pls 
bear
>with my very basic quaestions & do answer them..
>
>Q1: I have bash running in NT machine.How do I create a /etc/passwd &
>/etc/group files.I already have some users on the machine.Can I keep 
the
>same userids, or I need to create new ones??
>
>Q2: Once the users are created, what will be the login procedure ?I 
dont see
>any login.exe .
>
>Q3: I guess I can set the environment variables using the control panel 
"
>system" for each of the users once I am able to get /etc/passwd in 
place.
>Am i right?
>
>Q4: I have the basic setup running , without ofcourse a .batchrc file..
>      Now, I am trying to compile & execute a simple code using file
>operations, but I get some un-comprehendable run-time errors.Following 
is
>the listing of my code:
>=====================================
>#include<stdio.h>
>void main()
>{
>  FILE *fptr=NULL;
>        printf("Hi World! - This is Adarsh\n");
>  system("date");
>  fopen("Adarsh","w");
>  fprintf(fptr,"HI THERE!!");
>  fflush(fptr);
>  fclose(fptr);
>}
>=====================================
>I have noticed that it does create a zero byte file in the name of 
"Adarsh"
>, but gives an exception after that I guess.Also the same piece of code
>gives a warning, as if I am trying to declare the function "system()" 
inside
>the function "main()".Why does this happen.Is there a header file to be
>included?
>    Also is there a header file to be included for the file 
operations??Are
>all file operations supported.Where can I find help on that??
>
>That's all for the moment.
>Hope u will help me out.
>
>-Adarsh Kochhar
>[email-masked]
>
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".